Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.scan
Class InterfaceClassScanner

    java.lang.Object
      org.objectweb.asm.commons.EmptyVisitor
          org.mule.util.scan.InterfaceClassScanner

All Implemented Interfaces:
  ClassScanner, org.objectweb.asm.AnnotationVisitor, org.objectweb.asm.ClassVisitor, org.objectweb.asm.FieldVisitor, org.objectweb.asm.MethodVisitor

    public class InterfaceClassScanner

extends org.objectweb.asm.commons.EmptyVisitor
implements ClassScanner

Will determine if the class provide is assignable from the interface class provied.

Constructor Summary
`InterfaceClassScanner(Class interfaceClass)`
`InterfaceClassScanner(Class interfaceClass, ClassLoader classLoader)`

Method Summary
`String` | `getClassName()`
`URL` | `getClassURL(String className)`
`boolean` | `isMatch()`
`protected ClassScanner` | `scan(String name)`
`void` | `visit(int i, int i1, String s, String s1, String superName, String[] interfaces)`

Methods inherited from class org.objectweb.asm.commons.EmptyVisitor
`visit, visitAnnotation, visitAnnotation, visitAnnotationDefault, visitArray, visitAttribute, visitCode, visitEnd, visitEnum, visitField, visitFieldInsn, visitFrame, visitIincInsn, visitInnerClass, visitInsn, visitIntInsn, visitJumpInsn, visitLabel, visitLdcInsn, visitLineNumber, visitLocalVariable, visitLookupSwitchInsn, visitMaxs, visitMethod, visitMethodInsn, visitMultiANewArrayInsn, visitOuterClass, visitParameterAnnotation, visitSource, visitTableSwitchInsn, visitTryCatchBlock, visitTypeInsn, visitVarInsn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.objectweb.asm.ClassVisitor
`visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitOuterClass, visitSource`

Constructor Detail

### InterfaceClassScanner

    public InterfaceClassScanner(Class interfaceClass)

### InterfaceClassScanner

    public InterfaceClassScanner(Class interfaceClass,
                                 ClassLoader classLoader)

Method Detail

### visit

    public void visit(int i,
                      int i1,
                      String s,
                      String s1,
                      String superName,
                      String[] interfaces)

  Specified by:
    `visit` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visit` in class `org.objectweb.asm.commons.EmptyVisitor`

### scan

    protected ClassScanner scan(String name)

### isMatch

    public boolean isMatch()

  Specified by:
    `isMatch` in interface `ClassScanner`

### getClassName

    public String getClassName()

  Specified by:
    `getClassName` in interface `ClassScanner`

### getClassURL

    public URL getClassURL(String className)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.